Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class CalendarBasic

    java.lang.Object
      com.tibco.bpm.web.client.model.types.CalendarBasic

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

Direct Known Subclasses:
  CalendarSummary, WorkCalendar

    public class CalendarBasic

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Nested Class Summary
`static class` | `CalendarBasic.CalendarType`

Constructor Summary
`CalendarBasic()` TODO Describe this method

Method Summary
`CalendarBasic.CalendarType` | `getCalendarType()` TODO Describe this method
`java.util.Date` | `getDateCreated()` TODO Describe this method
`java.util.Date` | `getDateModified()` TODO Describe this method
`java.lang.String` | `getName()` TODO Describe this method
`java.lang.String` | `getNameSpace()` TODO Describe this method
`void` | `setCalendarType(CalendarBasic.CalendarType calendarType)` TODO Describe this method
`void` | `setDateCreated(java.util.Date dateCreated)` TODO Describe this method
`void` | `setDateModified(java.util.Date dateModified)` TODO Describe this method
`void` | `setName(java.lang.String name)` TODO Describe this method
`void` | `setNameSpace(java.lang.String nameSpace)` TODO Describe this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarBasic

    public CalendarBasic()

  TODO Describe this method

Method Detail

### getNameSpace

    public java.lang.String getNameSpace()

  TODO Describe this method

  Returns:
    Returns the nameSpace.

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  TODO Describe this method

  Parameters:
    `nameSpace` - The nameSpace to set.

### getName

    public java.lang.String getName()

  TODO Describe this method

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  TODO Describe this method

  Parameters:
    `name` - The name to set.

### getDateCreated

    public java.util.Date getDateCreated()

  TODO Describe this method

  Returns:
    Returns the dateCreated.

### setDateCreated

    public void setDateCreated(java.util.Date dateCreated)

  TODO Describe this method

  Parameters:
    `dateCreated` - The dateCreated to set.

### getDateModified

    public java.util.Date getDateModified()

  TODO Describe this method

  Returns:
    Returns the dateModified.

### setDateModified

    public void setDateModified(java.util.Date dateModified)

  TODO Describe this method

  Parameters:
    `dateModified` - The dateModified to set.

### getCalendarType

    public CalendarBasic.CalendarType getCalendarType()

  TODO Describe this method

  Returns:
    Returns the calendarType.

### setCalendarType

    public void setCalendarType(CalendarBasic.CalendarType calendarType)

  TODO Describe this method

  Parameters:
    `calendarType` - The calendarType to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.